package com.mx.dla.dda.factura.ws.dtos;

import java.util.ArrayList;
import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class DTMovimientoFinalPO extends BaseDTO {

	/**
	 * 
	 */
    private static final long serialVersionUID = -4423329847446786420L;
	protected DTMovimientoFinalPO.Registro registro;

	public DTMovimientoFinalPO.Registro getRegistro() {
		return registro;
	}

	public void setRegistro(DTMovimientoFinalPO.Registro value) {
		this.registro = value;
	}

	public static class Registro extends BaseDTO {

		/**
		 * 
		 */
        private static final long serialVersionUID = -3993369654774391471L;
		protected String                                  numDoc;
		protected List<DTMovimientoFinalPO.Registro.Item> item;

		public String getNumDoc() {
			return numDoc;
		}

		public void setNumDoc(String value) {
			this.numDoc = value;
		}

		public List<DTMovimientoFinalPO.Registro.Item> getItem() {
			if (item == null) {
				item = new ArrayList<DTMovimientoFinalPO.Registro.Item>();
			}
			return this.item;
		}

		public static class Item extends BaseDTO {

			/**
			 * 
			 */
            private static final long serialVersionUID = 3668042688859372396L;
			protected String numItem;
			protected String indEntregaFin;
			protected String indFacturaFinal;

			public String getNumItem() {
				return numItem;
			}

			public void setNumItem(String value) {
				this.numItem = value;
			}

			public String getIndEntregaFin() {
				return indEntregaFin;
			}

			public void setIndEntregaFin(String value) {
				this.indEntregaFin = value;
			}

			public String getIndFacturaFinal() {
				return indFacturaFinal;
			}

			public void setIndFacturaFinal(String value) {
				this.indFacturaFinal = value;
			}

		}

	}

}
